Ticket #48683

emscripten: No prototype for netfile_free()

Open Date: 2023-09-20 14:27 Last Update: 2023-09-24 05:58

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

Main branch, emscripten build:

../src/utility/netfile.c:323:6: warning: no previous prototype for function 'netfile_free' [-Wmissing-prototypes]
  323 | void netfile_free(void)
      |      ^
../src/utility/netfile.c:323:1: note: declare 'static' if the function is
not intended to be used outside of this translation unit
  323 | void netfile_free(void)
      | ^
      | static

Ticket History (3/7 Histories)

2023-09-20 14:27 Updated by: cazfi
  • New Ticket "emscripten: No prototype for netfile_free()" created
2023-09-20 15:25 Updated by: cazfi
2023-09-22 17:24 Updated by: cazfi
  • File 0012-emscripten-Provide-netfile_free-prototype.patch (File ID: 13249) is attached
2023-09-22 17:30 Updated by: cazfi
  • File 0012-emscripten-Provide-netfile_free-prototype.patch (File ID: 13249) is deleted
2023-09-22 17:31 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2023-09-24 05:58 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login